package com.dk.mdm.model.report.sale;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.dk.mdm.model.report.Util;
import lombok.Data;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

@Data
@Accessors(chain = true)
public class CustomizedWisdom2 {

    @Excel(name="序号",width = 10)
    private Integer  kpiIndex;

    @Excel(name="门店名称",width = 35,orderNum = "1")
    private String orgName;

    @Excel(name="定制品(万)",width = 15,orderNum = "2")
    private BigDecimal sumAmount;

    @Excel(name="定制柜(万)",width = 15,orderNum = "3")
    private BigDecimal cabinetAmount;

    @Excel(name="订制玻璃(万)",width = 15,orderNum = "4")
    private BigDecimal glassAmount;

    public void setSumAmount(BigDecimal sumAmount) {
        this.sumAmount = Util.calc10000(sumAmount);
    }

    public void setCabinetAmount(BigDecimal cabinetAmount) {
        this.cabinetAmount = Util.calc10000(cabinetAmount);
    }

    public void setGlassAmount(BigDecimal glassAmount) {
        this.glassAmount = Util.calc10000(glassAmount);
    }
}